---
title: Creates a new Note from the submitted data.
slug: creates-a-new-note-from-the-submitted-data
docTags: 
createdAt: 2026-10-05T12:27:48.316Z
---

{
  "id": "8Ob-ycREVEmxGbi40lnbz",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/notes",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/notes"
      }
    ],
    "name": "Creates a new Note from the submitted data.",
    "description": "This endpoint allows to create the note information\n\nIf you want to update Note using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "task",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Task"
            },
            {
              "name": "workspace",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Workspace"
            },
            {
              "name": "user",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of User"
            },
            {
              "name": "visible",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "title",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": ""
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Returned when the form has errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "njtIiExrjbT7jx8UhgM9V",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/notes \\\n     --header 'accept: application/json'"
        },
        {
          "id": "PTJv58bZAZjFbF59FG5Rx",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/notes\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "aWb2GOOspQOA6SD9IcfQW",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/notes\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "YNOJLP_w864Vt_p4--74x",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/notes\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "njtIiExrjbT7jx8UhgM9V"
    },
    "results": {
      "languages": [
        {
          "id": "HvjbuhVsoDn87ty-H3YRw",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "x2NxJpXp5JkPAiSEGcgQV",
          "language": "400",
          "code": "// Returned when the form has errors\n"
        }
      ],
      "selectedLanguageId": "HvjbuhVsoDn87ty-H3YRw"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}